Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

learn more… | top users | synonyms

0
votes
1answer
2k views

Installing Maya 2014 : “./setup” returns “/Setup is a directory” instead of running installer?

I hope this is posted on the right site, if not I apologize. Im currently installing (or trying to install) my Autodesk 3d Packages on my new LinuxMint installation. Im brand-new to linux, but so ...
2
votes
5answers
11k views

How to install php5-memcached on Debian 7 with PHP 5.5?

My attempts to install the PHP 5 Memcached module on my Debian 7 VirtualBox VM failed: root@testvm:~# apt-get install php5-memcached Reading package lists... Done Building dependency tree ...
0
votes
3answers
976 views

Unresolved dependencies though the packages are installed (Debian 6 Sqeeze)

I'm working with a VirtualBox 4.2.14 VM and Debian 6 Sqeeze as guest system and want to install some PHP modules: root@devmv:~# apt-get install php5-fpm Reading package lists... Done Building ...
0
votes
2answers
622 views

apt-get failed to fetch package

I want to install curl on my ubuntu: sudo apt-get install curl It gave the following error: Err http://it.archive.ubuntu.com/ubuntu/ maverick/main curl i386 7.21.0-1ubuntu1 404 Not Found [IP: ...
1
vote
1answer
387 views

Ubuntu LTS : best practice for installing gems

Ubuntu 12.04 LTS Server I'm relatively new to Unix/Ubuntu. I need to install the ruby gem libopenssl-ruby. I know that Ubuntu LTS versions maintain lists of authorized package versions. apt-get ...
3
votes
1answer
16k views

iceweasel (firefox) browser re-installation

I uninstalled my browser (iceweasel) from Add/Remove Software option in Kali Linux.At the time of removal it asked for one dependent package also to be uninstalled that I don't remember. But now when ...
0
votes
0answers
117 views

Installing cppman

I've tried to install cppman in Fedora 19 or Linux mint 15 and it installs successfully. But when I try to use it I get the error: Python IOError: [Errno 13] Permission denied I've installed it in ...
3
votes
2answers
3k views

How to install Cherokee web server on Debian Wheezy?

I'm trying to install Cherokee webserver on Debian Wheezy. All the docs and websites that I've visited suggest that apt-get install cherokee will do it, but when I do that, I see: $ apt-get install ...
0
votes
1answer
429 views

How to package software in Funtoo/Gentoo?

I am new in Funtoo/Gentoo. Where do I start learning how to create my own "packages"? For example, I have done the following to get the source code of Bespin, a Style for Qt4, derived from the Style ...
1
vote
1answer
637 views

AIX and Subversion

Very basic question regarding AIX and Apache Subversion: I need to install an Apache Subversion client onto an AIX 4.3 system. (Yes, this is a rather old version of AIX; the story is too long and ...
1
vote
1answer
928 views

Installation Error Message Re: Samba4

Whenever I install software or get a software update, I'm always getting a Samba4 error. Here's a capture: Errors were encountered while processing: samba4 Error in function: Setting up ...
-1
votes
1answer
753 views

How to install kdesudo in OpenSUSE 12.3

I'm hoping this is a stupid question with a simple answer, but I've been hunting around for half an hour and cannot find a way to install kdesudo in OpenSUSE 12.3. I need to use kdesudo because kdesu ...
1
vote
2answers
1k views

How to work with libtool?

I try to install MapServer and have a problem with last command in tutorial: libtool: install: /usr/bin/install -c .libs/mapserv /usr/local/bin/mapserv Terminal says that cannot find command ...
1
vote
4answers
1k views

How to install sshfs on Linux Mint?

I am trying to install sshfs on Linux Mint to mount remote folders over SSH. I've Googled up and down on how to install sshfs (as the command is not available to me) and I'm beating my head against ...
3
votes
2answers
1k views

Application deployment over ssh

My job requires frequently updating versions of Centos-compiled software on customers PCs over multiple ssh hops. Recently this got to the point of unmanageable by hand. What software can be utilized ...
0
votes
1answer
744 views

Lotus Note installation on Linux Mint 14?

I'm trying to install IBM Lotus Note 8.5.3 on Linux Mint 14 using terminal. Problem is that it's not installing and showing following error sudo apt-get install ibm-lotus-notes-8.5.3.i586.deb Reading ...
1
vote
1answer
573 views

installing apache httpd server on RHEL-6

I have 5 systems running Apache tomcat server, for load balancing i need to install Apache httpd server, how should I do this, please provide me some useful links and your opinions on this. I am ...
1
vote
1answer
1k views

PECL memcached installation gets error

I installed Zend Server 6 (debian). Also installed several packages: apt-get install gcc apt-get install g++ apt-get install libncurses5-dev apt-get install zlib1g apt-get install zlib1g-dev ...
3
votes
1answer
2k views

Error while loading shared libraries after installing a program

I was installing rfc5766-turn-server. But it fails to launch with an error: error while loading shared libraries: libevent_core-2.0.so.5: cannot open shared object file: No such file or directory ...
2
votes
2answers
250 views

Why can't I run programs extracted from an archive?

Having downloaded archives of Sage, Firefox, and Thunderbird from their respective websites on Trisquel 6.0, neither clicking the appropriate shell script nor executing a command to run the programs ...
2
votes
0answers
55 views

Best way to release an RPM that includes an independently version module

I work on a server software that is targeted for RHEL/CentOS and is currently distributed via a standard RPM file. What brings me here is that it includes a downloadable client engine that users can ...
2
votes
1answer
1k views

How to install CLang using precompiled binaries? [closed]

How do I install CLang on Ubuntu, using precompiled binaries of CLang that I downloaded? Here's how I downloaded CLang: "LLVM Download Page" -> "Download LLVM 3.2" -> "Clang Binaries for ...
2
votes
3answers
751 views

I have installed Linux distribution. Do I need to set root account or the user account is enough?

I have these credentials that I am using for logging in with my Linux distribution (Ubuntu 13.04) when starting the computer: james myawesomepassword123 I type the password on the login screen and ...
-1
votes
2answers
600 views

Joe,pico,emacs missing

I've installed a 'linux in a box' at home using FreeBSD and Virtual Box.But when I tryed to make a C file,joe,emacs and pico give me 'Command not found'. joe z.c,emacs z.c, pico m.c are the commands ...
2
votes
2answers
1k views

puppet certificate catching error

After installing puppet master and client, when I request for catalog, I am getting the following error: [root@INFINI-ONE puppet]# puppet agent -t warning: peer certificate won't be verified in this ...
4
votes
3answers
3k views

Python 2.7 and 2.6 coexist on the same machine

I want to follow a guide to install some software on a ReadyNas Duo (sparc). The guide indicates I need python 2.7, but I already have 2.6 installed. ~# which python /usr/bin/python ~# ls -al ...
1
vote
1answer
4k views

Installing puppet on RHEL6

While installing puppet on RHEL6 I'm getting the following errors. Though I have installed ruby gems, I'm getting problems with ruby gems dependencies. How do I solve this problem? [root@INFINI-ONE ...
0
votes
2answers
3k views

Run mysqld_safe in background

I have a bash script that installs mysql for me. One line, that executes mysqld_safe, makes the script to hang - it won't continue to the following code. Obviously there's ampersand at line's end, ...
2
votes
2answers
466 views

Installing Gnome on FreeBSD

I am trying to install Gnome on a freshly installed FreeBSD using the ports. I am stuck with an error message that says: Checking for headers required to compile python extensions ... not found Then ...
-1
votes
1answer
51 views

How does Google manage its service package installation and upgrade? [closed]

The RPM, yum or apt tools are very popular in the Linux world, but I don't know whether Google uses these tools in their internet service management work, and use these tools to manage the service ...
2
votes
1answer
165 views

Finding gEDA installation directory

I installed gEDA and I am trying to find it's installation directory/path. I've searched Google for many strings and entered a lot of the results it returned but didn't find anything about that. So ...
3
votes
0answers
614 views

How to setup networking for Linux Mint - VM when host machine uses a PAC file

My host is a Windows 7 x64 machine. The office network uses a PAC file for the LAN settings. So, under Internet Options -> Connections -> LAN Settings, I have Use automatic configuration script with ...
8
votes
4answers
9k views

What is the prefered way of updating all software in a Fedora installation?

When I install some system, I usually look for a bulk update method, one that will update my recently-installed software. For example, in Debian, that would be changing the sources.list to point to ...
3
votes
2answers
507 views

Install third party software on Linux from source

What are good practices for making Linux installations? Suppose I wanted to install some so-very-useful library of my own design and documentation/reference for it on a Linux system. Which part ...
4
votes
2answers
2k views

How can a version of a package conflict with itself?

I want to install fillup and get: rpm -i fillup-1.42-268.1.x86_64.rpm file /usr/bin/fillup conflicts between attempted installs of \ fillup-1.42-268.1.x86_64 and fillup-1.42-268.1.x86_64 ...
3
votes
3answers
248 views

Install using synaptic ignoring dependencies

I was trying to install texmaker a latex editor in my debian system from synaptic. It shows in the dependency list texlive-base, texlive-common. etc as dependencies. But I have already installed ...
1
vote
1answer
4k views

Unable to install skype on LMDE,how to resolve these dependencies?

I have downloaded "multiarch" .deb file for latest skype and unable to install it on latest version of LMDE (linux mint debian edition Xfce x86_64). e.g step one : sudo dpkg -i ...
1
vote
1answer
65 views

Oracle 11gR2 grid silent installation: error for privateinterconnects

I am installing Oracle grid 11gR2 using silent install with response file. I am getting error after "Collecting interface information for node 1" in logs. I have a feeling that this could be due to ...
2
votes
2answers
1k views

How to install multiple glibc on fedora

I have Fedora 4 installed on my computer and it has glibc version 2.5.3, but I want to install a software that needs a glibc 2.7+. On the other hand, I have some programs that need this 2.5.3 version. ...
0
votes
1answer
615 views

No monetdbd installed on linux64 (opensuse 12.2)

I have installed monetdb from MonetDB-11.15.7.zip on a linux64 box following the instruction in the HowToStart.rst file. The Download is available here. According to the Monetdb's quick start page I ...
4
votes
1answer
258 views

emacs elpa load packages

I am using emacs24, and I started using elpa to download the packages to ~/.emacs.d/elpa folder. How can I load these packages? For instance, I have tried (see below) for rainbow-delimiter but it ...
1
vote
2answers
1k views

Installing Simon Listens on Linux Mint

Recently I've heard about the Simon Listens package which enables you to create a speech recognition engine on Linux as well as windows. I have Linux Mind 14 - cinnamon installed on my laptop. I ...
2
votes
3answers
13k views

Installation problem with python-software-properties

I need to install the last version of node.js but my system has in repository older version. I need to add new ppa source. I followed this tutorial Question - when I install ...
1
vote
1answer
981 views

Can't install python because of zypper conflict

I have a virtual machine I just set up. I'm running a completely fresh install of OpenSUSE (with online updates from yast). At the terminal I tried to run python: $ python bash: python: command not ...
1
vote
0answers
470 views

Emacs on Minix 3?

Has anybody managed to install Emacs on Minix 3? Emacs was available on earlier versions of Minix. I am OK with an earlier version of Emacs if necessary. I don't find Zile, mg or Elle adequate and ...
3
votes
1answer
1k views

Where is weather indicator on Linux Mint?

I've installed a weather indicator (name of the indicator is My-Weather indicator) on my Linux Mint 14 successfully. I've installed it by using terminal with the following commands - sudo ...
3
votes
1answer
174 views

Pre-specifying a default GNU Stow target-directory

TLDR: Can I pre-define a stow folder other than /usr/local with GNU Stow? I do not have admin privileges on the machine I use for work, and I was told that I could use GNU Stow to manage my ...
1
vote
0answers
6k views

Bluestacks on Linux Fedora

I am trying to use Bluestacks for running Android application on my Linux Fedora using Wine. I tried wine BlueStacks-SplitInstaller_native.exe from terminal. It gave me Install Mono for Windows to ...
1
vote
0answers
618 views

System packages not detected by the Oracle installer

I am installing Oracle 11g 32bit on Ubuntu Linux and the setup shows the following error message on Prerequisite Checks screen: This is a prerequisite condition to test whether the package ...
0
votes
1answer
156 views

Specifying local install directory for ./configure for pango-1.32.6

I have built cairo-1.7.6 for use in building pango-1.32.6, and I have installed it to a directory in my home directory: /home/me/local/cairo-1.7.6. Under this directory are the expected include, lib ...